CREATE FUNCTION id_of_account(accountName VARCHAR) RETURNS BIGINT
    LANGUAGE SQL AS
$$
SELECT ID
FROM ACCOUNTS
WHERE NAME = accountName;
$$;

ALTER TABLE EXPENDITURES
    ADD COLUMN ACCOUNT_ID BIGINT NOT NULL REFERENCES ACCOUNTS DEFAULT id_of_account('DEFAULT');
